<template>
  <header class="header container--hp">
    <h1 class="header__title">
      <nuxt-link class="d-flex align-items-center link-unstyled" to="/"
        ><img :alt="imgAlt" class="logo" src="~assets/svgs/mountain.svg" />
        <span class="logo__text">Lenny Mans</span>
        <span class="sr-only">Page d'accueil</span>
      </nuxt-link>
    </h1>
    <nav class="header__nav">
      <button
        v-bind:class="{ active: showMobileMenu }"
        v-on:click="showMobileMenu = !showMobileMenu"
        class="menu__toggle btn-rounded-transparent"
      >
        <span class="sr-only">Ouvrir la navigation</span>
        <img
          :alt="svgMenuOpen"
          src="~assets/svgs/menu.svg"
          aria-hidden="true"
        />
      </button>
      <ul v-bind:class="{ active: showMobileMenu }" class="menu menu--main">
        <li class="list-unstyled" aria-hidden="true">
          <button
            v-bind:class="{ active: showMobileMenu }"
            v-on:click="showMobileMenu = !showMobileMenu"
            class="menu__toggle menu__toggle--close btn-rounded-transparent"
          >
            <span class="sr-only">Fermer la navigation</span>
            <img
              :alt="svgMenuClose"
              src="~assets/svgs/close.svg"
              aria-hidden="true"
            />
          </button>
        </li>
        <li class="menu__item">
          <nuxt-link to="/bio" class="menu__link link-underline">Bio</nuxt-link>
        </li>
        <li class="menu__item">
          <nuxt-link
            :to="{ path: '/', hash: '#projects' }"
            v-scroll-to="{ el: '#projects' }"
            class="menu__link link-underline"
            >Mes projets</nuxt-link
          >
        </li>
        <li class="menu__item">
          <nuxt-link to="/bands" class="menu__link link-underline"
            >Mes groupes</nuxt-link
          >
        </li>
        <li class="menu__item">
          <a
            href="https://drive.google.com/drive/folders/1-Aj50hNmaqgAzWKirv0S72bvn8GjZyQb?usp=sharing"
            target="_blank"
            class="menu__link link-underline"
            >Télécharger mon CV</a
          >
        </li>
        <li class="menu__item">
          <b-button v-b-modal.modal-center class="btn-main btn-h-border-main"
            >Contact</b-button
          >
        </li>
      </ul>
    </nav>
  </header>
</template>

<script>
export default {
  data() {
    return {
      title: 'LM',
      imgAlt: 'Logo Lenny Mans',
      svgMenuOpen: 'Ouvrir la navigation',
      svgMenuClose: 'Fermer la navigation',
      // Booléen qui permet de retourner la classe active ou non selon le click du toggle menu
      showMobileMenu: false
    }
  },
  watch: {
    $route() {
      this.showMobileMenu = false
    }
  }
}
</script>

<style></style>
